[Desktop-packages] [Bug 1771031] Re: Please remove libgnome from Ubuntu

2018-11-16 Thread Gianfranco Costamagna
Syncd shortly ** Changed in: p4vasp (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to libbonobo in Ubuntu. https://bugs.launchpad.net/bugs/1771031 Title: Please remove libgnome from Ubuntu

[Desktop-packages] [Bug 1771031] Re: Please remove libgnome from Ubuntu

2018-11-16 Thread Gianfranco Costamagna
Removed from disco ** Changed in: pike7.8 (Ubuntu) Status: New => Invalid -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to libbonobo in Ubuntu. https://bugs.launchpad.net/bugs/1771031 Title: Please remove libgnome from Ubuntu

[Desktop-packages] [Bug 1802586] Re: sane-backends library name issues

2018-11-26 Thread Gianfranco Costamagna
we should probably ask debian to provide a transitional package too -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to sane-backends in Ubuntu. https://bugs.launchpad.net/bugs/1802586 Title: sane-backends library name issues Status in

[Desktop-packages] [Bug 1810772] Re: firefox/thunderbird: please drop llvm-4.0 and switch to versionless alternative

2019-01-07 Thread Gianfranco Costamagna
Olivier, can you please have a look? firefox with the switch does build everywhere except armhf ppc64el s390x while the current thunderbird in the archive is ftbfs even without changes. -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to

[Desktop-packages] [Bug 1810772] [NEW] firefox/thunderbird: please drop llvm-4.0 and switch to versionless alternative

2019-01-07 Thread Gianfranco Costamagna
Public bug reported: As said, we want to remove llvm-toolchain-4.0 from the archive, and firefox/thunderbird are the two last blockers. Debian has already switched to the versionless alternative. thanks ** Affects: firefox (Ubuntu) Importance: High Status: New ** Affects:

[Desktop-packages] [Bug 1792811] Re: Transmission-gtk crash: doesn't start on 18.10

2018-09-16 Thread Gianfranco Costamagna
please run apport-collect 1792811 ** Changed in: transmission (Ubuntu) Assignee: (unassigned) => Gianfranco Costamagna (costamagnagianfranco) -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to transmission in Ubuntu. ht

[Desktop-packages] [Bug 1792811] Re: Transmission-gtk startup crash: doesn't start on 18.10

2018-09-19 Thread Gianfranco Costamagna
After opening with apport the crash dump, I can see a crash in the above mentioned Core was generated by `transmission-gtk /tmp/mozilla_intilinux0/edubuntu-12.04.5-dvd-i386.iso.torrent'. Program terminated with signal SIGSEGV, Segmentation fault. #0 0x7fbbb9be123f in

[Desktop-packages] [Bug 1792811] Re: Transmission-gtk startup crash: doesn't start on 18.10

2018-09-17 Thread Gianfranco Costamagna
I can't run gdb with that crash (it can't be loaded) ** Changed in: transmission (Ubuntu) Assignee: Gianfranco Costamagna (costamagnagianfranco) => (unassigned) -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to transmission in Ubu

[Desktop-packages] [Bug 1813587] Re: libunistring and libidn ftbfs on 18.04 LTS

2019-03-27 Thread Gianfranco Costamagna
iption ** Changed in: libunistring (Ubuntu Cosmic) Assignee: (unassigned) => Gianfranco Costamagna (costamagnagianfranco) ** Changed in: libunistring (Ubuntu) Assignee: Jeremy Bicha (jbicha) => (unassigned) ** Changed in: libidn (Ubuntu Cosmic) Assignee: (unassigned) => Gianfr

[Desktop-packages] [Bug 1813587] Re: libunistring and libidn ftbfs on 18.04 LTS

2019-03-27 Thread Gianfranco Costamagna
Ok Brian, so lets backport the fix from 19.04 and fix also 18.10 ** Also affects: libidn (Ubuntu Cosmic) Importance: Undecided Status: New ** Also affects: libunistring (Ubuntu Cosmic) Importance: Undecided Status: New ** Changed in: libunistring (Ubuntu Cosmic)

[Desktop-packages] [Bug 1813587] Re: libunistring and libidn ftbfs on 18.04 LTS

2019-03-27 Thread Gianfranco Costamagna
+0100 @@ -1,3 +1,10 @@ +libunistring (0.9.10-1ubuntu1.18.10.1) cosmic; urgency=medium + + * Cherry-pick pthread fix from upstream and disco release. +(LP: #1813587) + + -- Gianfranco Costamagna Wed, 27 Mar 2019 12:21:30 +0100 + libunistring (0.9.10-1ubuntu1) cosmic; urgency=medium * Do

[Desktop-packages] [Bug 1340250] Re: "#pragma weak" symbol is 0 even when defined

2019-03-21 Thread Gianfranco Costamagna
https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=cca32830b57e91f837c01d15b8732f23ff97fc36 Upstream fix ** Changed in: libidn (Ubuntu) Status: New => Fix Released ** Changed in: libunistring (Ubuntu) Status: New => Fix Released -- You received this bug notification

[Desktop-packages] [Bug 1813587] Re: libunistring and libidn ftbfs on 18.04 LTS

2019-03-21 Thread Gianfranco Costamagna
In the same way, I'm uploading a fix for libidn, I think it is really better to have as-needed used for the binary size, so better use the upstream patch and revert the package currently in updates. -- You received this bug notification because you are a member of Desktop Packages, which is

[Desktop-packages] [Bug 1813587] Re: libunistring ftbfs on 18.04 LTS

2019-03-21 Thread Gianfranco Costamagna
I uploaded the upstream patch in the unapproved queue, thanks! ** Changed in: libunistring (Ubuntu Bionic) Assignee: Jeremy Bicha (jbicha) => Gianfranco Costamagna (costamagnagianfranco) ** Summary changed: - libunistring ftbfs on 18.04 LTS + libunistring and libidn ftbfs on 18.04

[Desktop-packages] [Bug 1813587] Re: libunistring and libidn ftbfs on 18.04 LTS

2019-04-04 Thread Gianfranco Costamagna
its a build fix... anyway, its a library, so not that easy to test, but I picked up gnome-characters, one of its reverse-dependencies that uses a lot of unicode, and it still works gnome-characters Gtk-Message: 09:13:35.039: Failed to load module "canberra-gtk-module" Gtk-Message:

[Desktop-packages] [Bug 1813587] Re: libunistring and libidn ftbfs on 18.04 LTS

2019-03-29 Thread Gianfranco Costamagna
This is something that is currently fixing just a build failure, not something that the end user is affected... Marking as verification done (and I'm using the package because my system is on bionic) ** Tags removed: verification-needed verification-needed-bionic verification-needed-cosmic **

[Desktop-packages] [Bug 1816736] Re: llvm-toolchain-4.0: Remove from disco

2019-03-22 Thread Gianfranco Costamagna
Decrufting thunderbird-testsuite should be enough to let it migrate and then llvm-toolchain-4.0 removed from the archive. ** Changed in: llvm-toolchain-4.0 (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Desktop Packages, which is

[Desktop-packages] [Bug 1685037] Re: In 16.04 the package suggests vital, but non-existent packages chromedriver and firefoxdriver

2019-02-14 Thread Gianfranco Costamagna
*** This bug is a duplicate of bug 1667208 *** https://bugs.launchpad.net/bugs/1667208 This is ongoing to be fixed in disco, feel free to convert in an SRU. ** Changed in: chromium-browser (Ubuntu) Status: Confirmed => Fix Released ** Changed in: python-selenium (Ubuntu)

[Desktop-packages] [Bug 1685037] Re: In 16.04 the package suggests vital, but non-existent packages chromedriver and firefoxdriver

2019-02-14 Thread Gianfranco Costamagna
*** This bug is a duplicate of bug 1667208 *** https://bugs.launchpad.net/bugs/1667208 and looks really similar to 1685037 ** This bug has been marked a duplicate of bug 1667208 Ubuntu's selenium hardcodes a path that is valid for Debian, but not for Ubuntu -- You received this bug

[Desktop-packages] [Bug 1667208] Re: Ubuntu's selenium hardcodes a path that is valid for Debian, but not for Ubuntu

2019-02-14 Thread Gianfranco Costamagna
This will be fixed in chromium itself, to behave how Debian does ** Package changed: python-selenium (Ubuntu) => chromium (Ubuntu) ** Package changed: chromium (Ubuntu) => chromium-browser (Ubuntu) ** Also affects: python-selenium (Ubuntu) Importance: Undecided Status: New ** Changed

[Desktop-packages] [Bug 1816736] [NEW] llvm-toolchain-4.0: Remove from disco

2019-02-20 Thread Gianfranco Costamagna
Public bug reported: This needs to be removed from disco, only remaining reverse-deps are firefox and thunderbird. We should limit the number of llvm versions in the archive due to the difficulty of maintaining them all (specially now that has gone from Debian, and won't probably even build in

[Desktop-packages] [Bug 1810772] Re: firefox/thunderbird: please drop llvm-4.0 and switch to versionless alternative

2019-01-24 Thread Gianfranco Costamagna
Looks like 6.0 works for thunderbird, while firefox fails due to cbindgen failing to connect to github (not sure how/if this relates to llvm) llvm 7 seems to make thunderbird fail, as well as llvm-8, but I think llvm-6 is a safe bet, since we are going to ship cosmic with it. -- You received

[Desktop-packages] [Bug 1813587] Re: libunistring ftbfs on 18.04 LTS

2019-01-29 Thread Gianfranco Costamagna
yes, it is the same, but unfortunately I don't know if the fix is sane or not. the real bug is this one https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1340250 -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to libunistring in

[Desktop-packages] [Bug 1525454] Re: bootstrapping mono compiler fails at mdoc

2019-06-24 Thread Gianfranco Costamagna
Debian decided to just stop building mdocs on s390x with the following patch on rules file (applied conditionally on s390x only). +CONF_FLAGS += --with-mcs-docs=no I dropped the Ubuntu delta, now that s390x builds fine, and the optimization level is back to the default one (I think no

[Desktop-packages] [Bug 1823707] Re: GUI with PyQt5 QtGui do not start on VirtualBox VM

2019-05-14 Thread Gianfranco Costamagna
This looks like an upstream issue... can you please open an upstream ticket? -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to hplip in Ubuntu. https://bugs.launchpad.net/bugs/1823707 Title: GUI with PyQt5 QtGui do not start on

[Desktop-packages] [Bug 1823707] Re: GUI with PyQt5 QtGui do not start on VirtualBox VM

2019-05-14 Thread Gianfranco Costamagna
this should be good in later virtualbox releases ** Changed in: virtualbox-hwe (Ubuntu) Status: New => Fix Released ** Changed in: virtualbox (Ubuntu) Status: New => Fix Released ** Changed in: pyqt5 (Ubuntu) Status: New => Fix Released -- You received this bug

[Desktop-packages] [Bug 1814133] Re: update to openjdk 11 in 18.04 LTS

2019-07-15 Thread Gianfranco Costamagna
** Changed in: virtualbox (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to libreoffice in Ubuntu. https://bugs.launchpad.net/bugs/1814133 Title: update to openjdk 11 in 18.04 LTS Status in

[Desktop-packages] [Bug 1814133] Re: update to openjdk 11 in 18.04 LTS

2019-07-15 Thread Gianfranco Costamagna
** No longer affects: virtualbox (Ubuntu Cosmic) -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to fonts-liberation2 in Ubuntu. https://bugs.launchpad.net/bugs/1814133 Title: update to openjdk 11 in 18.04 LTS Status in

[Desktop-packages] [Bug 1814133] Re: update to openjdk 11 in 18.04 LTS

2019-07-15 Thread Gianfranco Costamagna
** No longer affects: virtualbox-hwe (Ubuntu Cosmic) -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to fonts-liberation2 in Ubuntu. https://bugs.launchpad.net/bugs/1814133 Title: update to openjdk 11 in 18.04 LTS Status in

[Desktop-packages] [Bug 1814133] Re: update to openjdk 11 in 18.04 LTS

2019-07-15 Thread Gianfranco Costamagna
** Changed in: virtualbox-hwe (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to libreoffice in Ubuntu. https://bugs.launchpad.net/bugs/1814133 Title: update to openjdk 11 in 18.04 LTS Status

[Desktop-packages] [Bug 1731459] Re: genesys_gl847 scanners produce a black band in scanned images on Ubuntu 17.10+, 18.04 LTS and 18.10 Cosmic cuttlefish

2019-08-20 Thread Gianfranco Costamagna
sponsored in bionic and disco, after removing "~ppa" from the changelog -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to sane-backends in Ubuntu. https://bugs.launchpad.net/bugs/1731459 Title: genesys_gl847 scanners produce a black

[Desktop-packages] [Bug 1731459] Re: genesys_gl847 scanners produce a black band in scanned images on Ubuntu 17.10+, 18.04 LTS and 18.10 Cosmic cuttlefish

2019-08-20 Thread Gianfranco Costamagna
and eoan, of course -- You received this bug notification because you are a member of Desktop Packages, which is subscribed to sane-backends in Ubuntu. https://bugs.launchpad.net/bugs/1731459 Title: genesys_gl847 scanners produce a black band in scanned images on Ubuntu 17.10+, 18.04 LTS

[Desktop-packages] [Bug 1841437] Re: Don't update to 1.3.5

2019-10-15 Thread Gianfranco Costamagna
I'm the TIL for the package, and I have already prepared a package that I'll upload after EOAN is released https://launchpad.net/~costamagnagianfranco/+archive/ubuntu/locutusofborg-ppa/+sourcepub/10612180/+listing-archive-extra Closing because I'm sure I'll forget about this one, and nobody